Bug 493237 - zikula bundles libraries
zikula bundles libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zikula (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On: 513636
Blocks: FE-ZIKULA
  Show dependency treegraph
 
Reported: 2009-03-31 22:51 EDT by Toshio Ernie Kuratomi
Modified: 2009-10-27 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.2-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-23 19:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2009-03-31 22:51:04 EDT
Description of problem:
I found out today that zikula is shipping php libraries that should be packaged separately.  Everything in /usr/share/zikula/includes/classes are existing system libraries or need to be packaged:

adodb/ -- This seems to be packaged as php-adodb 

encryption/ --  http://sourceforge.net/projects/rc4crypt/

hashes/ -- Don't know where to get the source but we run php-5.1.6 on EPEL and that should have sha256 built in http://www.php.net/manual/en/function.hash.php

idna/ -- http://pear.php.net/package/Net_IDNA/docs/latest/Net/_Net_IDNA-0.7.2---IDNA.php.html
      -- In Fedora we already have php-idn which may or may not be an alternative.

JSON/ -- http://pear.php.net/package/Services_JSON
      -- In Fedora we have php-pecl-json, php-json, and php-5.2.0 has its own json implementation

lensdebug/ -- http://phplens.com/lens/free_code/lensdebug.php
           -- Note that the file in zikula has a zikula copyright header which may be in error

Simplepie/ -- http://simplepie.org/
           -- Note that this has another copy of idn which needs to be replaced with either the idna pear package or php-idn.

Smarty/ -- php-Smarty package
Comment 1 David Nalley 2009-05-17 00:10:37 EDT
Lest anyone think I am ignoring this bug: 

Conversations with upstream are as follows: 

They are researching the lensdebug licensing issue, and state that they may not need the library at all. 

JSON, encryption, hashes, and adodb all check for system libs first, and thus it's safe to delete. 

I have packaged simplepie and the IDNA package, and these are now within Fedora.  

I now need to merely fix Zikula to look at system libs for the things that aren't automatically looking at system libs, and figure out if lensdebug can be eliminated.
Comment 2 Bug Zapper 2009-06-09 08:54:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Nalley 2009-07-26 20:30:04 EDT
Just noticed (while doing a review of phplayersmenu) that Zikula (and phpldapadmin) also bundles this phplayersmenu package (and phplayersmenu in turn bundles http://pear.php.net/package/HTML_Template_PHPLIB/


phplayersmenu is in review now, I have added that ticket as a dependency. 


The bundling issue is becoming a bit reminiscent of Matryoshka dolls.
Comment 4 Fedora Update System 2009-08-23 21:27:57 EDT
zikula-1.1.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zikula-1.1.2-3.fc11
Comment 5 Fedora Update System 2009-08-23 21:28:11 EDT
zikula-1.1.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/zikula-1.1.2-3.fc10
Comment 6 Fedora Update System 2009-08-23 21:28:24 EDT
zikula-1.1.2-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/zikula-1.1.2-3.el5
Comment 7 Fedora Update System 2009-08-25 00:33:06 EDT
zikula-1.1.2-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zikula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8930
Comment 8 Fedora Update System 2009-08-25 00:39:58 EDT
zikula-1.1.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zikula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8955
Comment 9 Fedora Update System 2009-08-25 12:03:41 EDT
zikula-1.1.2-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zikula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0345
Comment 10 Fedora Update System 2009-10-23 19:21:35 EDT
zikula-1.1.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-10-27 02:26:31 EDT
zikula-1.1.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-10-27 03:18:58 EDT
zikula-1.1.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.